%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define RUBYVER 1.8

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		rrdtool
Version:	1.3.8
Release:	2
BuildArch:	i686
License:	GNU/GPLv2
URL:		http://oss.oetiker.ch/rrdtool/
Group:		Graphics
Summary:	data logging and graphing system
Source:		%{name}-%{version}.tar.gz
#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gettext-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: perl
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: python26-devel
BuildRequires: ruby-devel
BuildRequires: tcl-devel
BuildRequires: zlib-devel intltool

%description
RRDtool is the OpenSource industry standard, high performance data logging and graphing system for time series data. Use it to write your custom monitoring shell scripts or create whole applications using its Perl, Python, Ruby, TCL or PHP bindings.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%package tcl
Summary:        %{name} tcl bindings.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description tcl
tcl bindings for tcl support of %{name}.

%package perl
Summary:        %{name} perl bindings.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description perl
Perl bindings for Perl support of %{name}.

%package -n python26-rrdtool
Summary:        %{name} python bindings.
Group:          %{group}
Requires:       rrdtool = %{version}-%{release}
Provides:	rrdtool-python = %{version}-%{release}
Obsoletes:	rrdtool-python <= %{version}-%{release}

%description -n python26-rrdtool
Python bindings for Python support of %{name}.

%package ruby
Summary:        %{name} ruby bindings.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description ruby
Ruby bindings for Ruby support of %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug PYTHON=/usr/bin/python%{PYVER}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/rrd*
%{_libdir}/librrd*.so.*
%{_mandir}/man1/rrd*.1.gz
%{_mandir}/man1/bin_dec_hex.1.gz
%{_mandir}/man1/cdeftutorial.1.gz
%{_mandir}/man1/rpntutorial.1.gz
%{_mandir}/man3/RRD*.3.gz
%{_datadir}/doc/%{name}-%{version}/
%{_datadir}/%{name}/examples

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/librrd*.so
%{_libdir}/librrd*.a
%{_libdir}/librrd*.la
%{_pkgconfig}/librrd.pc

%files tcl
%defattr(-,root,root)
%{_libdir}/rrdtool/*.tcl
%{_libdir}/tclrrd*.so

%files perl
%defattr(-,root,root)
%{_libdir}/perl/

%files -n python26-rrdtool
%defattr(-,root,root)
%{python_sitelib}

%files ruby
%defattr(-,root,root)
%{_libdir}/ruby/%RUBYVER/i686-linux/RRD.so



%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 1.3.8-2
- python 2.6
* Wed Jul 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.3.8-1
- initial CCux package release
